Subject: Re: bug#56288: Pitivi can't be started

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 30 Jun 2022 17:27:04 +0200

Am Donnerstag, dem 30.06.2022 um 14:08 +0200 schrieb Josselin Poiret:
> Hello Lily and Christian,
> 
> This is unfortunately the usual gdk-pixbuf SVG loader not being
> found,
> since it is part of librsvg.  Some details are described in [1]
> already,
> but to summarize:  we need to propagate gdk-pixbuf so that the
> search-path GDK_PIXBUF_MODULE_FILE is properly set for the profile.
> 
> Hence, I can reproduce the issue with
> --8<---------------cut here---------------start------------->8---
> guix shell --pure pitivi -- pitivi
> --8<---------------cut here---------------end--------------->8---
> 
> but the following launches pitivi properly (didn't check further)
> --8<---------------cut here---------------start------------->8---
> guix shell --pure pitivi gdk-pixbuf hicolor-icon-theme adwaita-icon-
> theme -- pitivi
> --8<---------------cut here---------------end--------------->8---
> 
> I think it's very impractical that we have to do this for all
> packages
> that wish to load SVG files via gdk-pixbuf, because it's technical
> and
> not a concern that upstream developers document, since they don't
> encounter such behavior.
> 
> [1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=52044#41
>     ([email-masked])
Isn't there a per-package solution to this that basically means adding
librsvg to the package inputs?